PDA

View Full Version : Where is "DisplacementHandler"?



wmcole
06-01-2009, 09:11 PM
I posted this to the LW 9.6 Discussions forum a few days ago, but it got no response, so I figured maybe it belongs here instead.
===============

I'm trying to load what appears to be an older sample scene (apparently created circa 1997) and during the loading process I get "No Plugin of type DisplacementHandler with name Deform::Pole found. Would you like to load it from disk?"

If I answer yes and go searching for it, the best I can find is in plugins/animate/deformer.p which has a Deform: pole (note only one ':'). However, this doesn't seem to satisfy the line from the .lws file,

Plugin DisplacementHandler 1 Deform::Pole

Is the above just and old syntax that I can edit with a text editor to get it to find the right plugin?

evenflcw
06-01-2009, 10:10 PM
What did the next line say? 'Version 2'? If so then I can't figure out any real reason why it should fail to load, cause it seems to be the same version of that plugin shipping 7.5 through 9.6. Try installing the deformer.p properly, ie through the Edit Plugin panel, then load the scene.

If it's not 'version 2' then hacking the LWS is what you'll need to do.

'Deform: Pole' and 'Deformer::Pole', one or two ':' is not the problem. The first is likely the screen name (what goes in menus and on buttons), the second is the server name (how it is referred to internally; no spaces allowed for that!).

When people don't answer it's usually not that they missed the post. People just don't know the answer or want more information. In your case you could've uploaded the scene or parts of it. With only 14 posts to your name, it's likely you are a noob, and can be assumed to do one or more out n noob errors of which neither you nor we will know nothing of. So just dumping what you have (or stripped down version) is the best thing to do. If the file works for us, it's something wrong with your environment (one of those noob errors). If the file doesn't work for us, we can investigate further immediatly.

wmcole
06-02-2009, 12:48 AM
What did the next line say? 'Version 2'? If so then I can't figure out any real reason why it should fail to load, cause it seems to be the same version of that plugin shipping 7.5 through 9.6. Try installing the deformer.p properly, ie through the Edit Plugin panel, then load the scene.

If it's not 'version 2' then hacking the LWS is what you'll need to do.

'Deform: Pole' and 'Deformer::Pole', one or two ':' is not the problem. The first is likely the screen name (what goes in menus and on buttons), the second is the server name (how it is referred to internally; no spaces allowed for that!).

When people don't answer it's usually not that they missed the post. People just don't know the answer or want more information. In your case you could've uploaded the scene or parts of it. With only 14 posts to your name, it's likely you are a noob, and can be assumed to do one or more out n noob errors of which neither you nor we will know nothing of. So just dumping what you have (or stripped down version) is the best thing to do. If the file works for us, it's something wrong with your environment (one of those noob errors). If the file doesn't work for us, we can investigate further immediatly.

Well, I've been using LW since the first Amiga version came out with Toaster 1.0, and used to write for the now defunct "Lightwave User" magazine, so I don't know how much of a newbie that makes me. I just am busy using my A/V & 3D tools to make a living so I don't spend lots o time typing about it. (I guess you can tell I have a low opinion of texting, twittering and all that other stuff where folks spend so much time yammering about living or working that they don't have enough time to do either.:) That's why I prefer boards that are no BS problems solving fora, and why I generally limit my posts to a question or a solution.)

Anyway, as to the second line you refer to, are you talking about the scene file or the error message? I gave the entire error message so there is no further info there. As for the scene file, the first two lines are,

LWSC
1

Then as far as the plugin reference in its entirety within that scene:

Plugin DisplacementHandler 1 Deform::Pole
Axis Y
Ease In/Out (%) 200 0
Base Name PoleCenterCar2
Handle Name PoleCornerCar2
Deform End
EndPlugin


There are two such references in the file.

As for the scene itself, I think it must have been part of a LW content pack direct from NewTek. Since it has a '97 date on it, I suspect it must have been from LW 5 or so, and I no longer have the detailed scene file syntax notes / docs that I built up at that time.

Anyway, if you want the whole enchilada to play with, see carcrash.zip.

Sensei
06-02-2009, 02:00 AM
I would remove lines from PlugIn to EndPlugIn, load that scene, add Pole and set all settings to what was previously in lws..
Apparently settings from lws are for older plugin than what you have on disk..

wmcole
06-03-2009, 04:53 PM
I would remove lines from PlugIn to EndPlugIn, load that scene, add Pole and set all settings to what was previously in lws..
Apparently settings from lws are for older plugin than what you have on disk..

That did the trick.

I also had to fix the camera target since that did not translate over - big differences between v1 and v5 scene file formats.

Anyway, thanks for the concise help.